GET
/greengrass/v2/coreDevices/{coreDeviceThingName}/associatedClientDevices
http://greengrass.{region}.amazonaws.com/greengrass/v2/coreDevices/{coreDeviceThingName}/associatedClientDevicesRetrieves a paginated list of client devices that are associated with a core device.
Access Token Required: API Key
Path Parameters
coreDeviceThingNamestringrequired
The name of the core device. This is also the name of the IoT thing.
Query Params
maxResultsinteger
The maximum number of results to be returned per paginated request.
nextTokenstring
The token to be used for the next set of paginated results.
Responses
{
"success": true,
"data": {
"id": "abc123",
"created_at": "2025-01-01T00:00:00Z"
}
}{
"success": false,
"error": {
"code": "VALIDATION_ERROR",
"message": "Invalid request parameters"
}
}Language
CredentialsAPI KEY
API Key
Enter token below to save for later
cURL Request
1curl --request GET \2 --url 'http://greengrass.{region}.amazonaws.com/greengrass/v2/coreDevices/{coreDeviceThingName}/associatedClientDevices' \3 --header 'accept: application/json' \4 --header 'content-type: application/json'Response
1{2 "success": true,3 "data": {4 "id": "abc123",5 "created_at": "2025-01-01T00:00:00Z"6 }7}